Subject: Re: [PATCHv3 1/4] gitweb: introduce remote_heads feature

From: Junio C Hamano <[email-masked]>
Date: Sun, 16 Nov 2008 10:14:42 -0800

"Giuseppe Bilotta" <[email-masked]> writes:

> For example, because the only remote for the tree is the author's own
> private tree, or because the only remotes are the mirrors on gitorious
> or github. In both cases, there would be no reaso to waste resources,
> bandwidth and screen estate loading and displaying the remote
> references.

Sorry, but you are not making sense.  The above may be a reason not to run
gitweb in such a repository, but if you are viewing such a private tree,
perhaps thru instaweb, wouldn't you be interested in viewing them?

> OTOH, it might make sense to make remote_heads enabled by default (and
> overridable).

Perhaps.  I'll stop commenting on "should this be optional, if so what
should be the default" and let others chime in.  Honestly I do not care
that deeply either way.